Skip to main content
GET
/
v1
/
crm
/
merchants
/
{merchantId}
/
business-addresses
/
{businessAddressId}
Get a Business Address
curl --request GET \
  --url https://api.example.com/v1/crm/merchants/{merchantId}/business-addresses/{businessAddressId} \
  --header 'Authorization: Bearer <token>'
{
  "addressLine1": "<string>",
  "city": "<string>",
  "country": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sameAsDba": true,
  "sameAsLegal": true,
  "state": "<string>",
  "zip": "<string>",
  "addressLine2": "<string>",
  "validationStatus": "not_validated"
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

merchantId
string
required
businessAddressId
string
required

Response

The merchant business address corresponding to the primary identifier.

addressLine1
string
required
Maximum string length: 100
city
string
required
Maximum string length: 50
country
string
required
Maximum string length: 2
id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
clientId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
sameAsDba
boolean
required
state
string
required
Maximum string length: 2
type
enum<string>
required
Available options:
legal,
mailing,
dba
zip
string
required
Maximum string length: 10
addressLine2
string | null
Maximum string length: 50
validationStatus
enum<string>
default:not_validated
Available options:
not_validated,
validated,
invalid